[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.ReadUnicodeString

Read a unicode string value

## Declaration

Source position: classesh.inc line 1127

`public function TAbstractObjectReader.ReadUnicodeString: UnicodeString; virtual; abstract;`

## Description

ReadUnicodeString should read a UnicodeString value from the stream. (indicated by the vaUString value type).

Descendent classes should override this method to actually read a UnicodeString value.

## See also

TBinaryObjectWriter.WriteUnicodeString |  | Write a unicode string to the stream.
TAbstractObjectReader.ReadWideString |  | Read a widestring value from the stream.

Documentation generated on: Feb 26 2014